aboutsummaryrefslogtreecommitdiff
path: root/dbus/dunst/build
diff options
context:
space:
mode:
Diffstat (limited to 'dbus/dunst/build')
-rwxr-xr-xdbus/dunst/build15
1 files changed, 15 insertions, 0 deletions
diff --git a/dbus/dunst/build b/dbus/dunst/build
new file mode 100755
index 00000000..66d8cd45
--- /dev/null
+++ b/dbus/dunst/build
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+export DESTDIR="$1"
+
+mk() {
+ make \
+ PREFIX=/usr \
+ MANDIR=/usr/share \
+ DESTDIR="$DESTDIR" \
+ WAYLAND="$(cpt l wayland >/dev/null 2>&1; printf '%s' "$(($? == 0))")" \
+ "$@"
+}
+
+mk dunst dunstify
+mk install